> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Experiment Workspace



## OpenAPI

````yaml /openapi.json post /v1/experiments/{experiment_id}/workspace-transfer
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/workspace-transfer:
    post:
      tags:
        - Experiments
      summary: Transfer Experiment Workspace
      operationId: >-
        transfer_experiment_workspace_v1_experiments__experiment_id__workspace_transfer_post
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: Idempotency-Key
          required: true
          schema:
            maxLength: 200
            minLength: 8
            title: Idempotency-Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluationWorkspaceTransferRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationWorkspaceTransferResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    EvaluationWorkspaceTransferRequest:
      properties:
        confirm_irreversible:
          const: true
          title: Confirm Irreversible
          type: boolean
        destination_workspace_id:
          format: uuid
          title: Destination Workspace Id
          type: string
      required:
        - destination_workspace_id
        - confirm_irreversible
      title: EvaluationWorkspaceTransferRequest
      type: object
    EvaluationWorkspaceTransferResponse:
      properties:
        destination_workspace_id:
          format: uuid
          title: Destination Workspace Id
          type: string
        experiment_id:
          format: uuid
          title: Experiment Id
          type: string
        source_workspace_id:
          format: uuid
          title: Source Workspace Id
          type: string
        state:
          enum:
            - draining
            - completed
            - failed
          title: State
          type: string
        transfer_id:
          format: uuid
          title: Transfer Id
          type: string
      required:
        - transfer_id
        - experiment_id
        - source_workspace_id
        - destination_workspace_id
        - state
      title: EvaluationWorkspaceTransferResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````